'2020/12/07'에 해당되는 글 7건

  1. 2020.12.07 UHD 색상도 이상하고 화면도 선명하지 않아서..
  2. 2020.12.07 rpi node-red
  3. 2020.12.07 ubuntu 20.04 한글입력기 2
  4. 2020.12.07 wwmkchroot
  5. 2020.12.07 openHPC x86_64와 aarch64 문서 차이
  6. 2020.12.07 nagios
  7. 2020.12.07 openHPC LBNL NHC
개소리 왈왈/컴퓨터2020. 12. 7. 20:50

팩토리 모드 들어가서 패널 정보를 보니

아뿔사...

 

픽셀 형식 RGBW Vertical Stripe

[링크 : https://www.lcds-center.kr/product_LG-Display_LC430DGJ-SKA4.html]

 

 

멀 설정하던 왜이렇게 어른거리나 했더니

패널 자체가 그렇게 욕 쳐드시던 RGBW 패널이라 그렇구나.. ㅠㅠ

다음번에는 RGB 패널로 꼭 찾아서 사야지.. 아흑...

 

+

60Hz는 뜨는데 정작 설정하면 화면이 전혀 나오지 않다가

시간이 지나서 원래대로 30Hz로 돌아가면서 나온다. 도대체 이 녀석 정체가 머냐..

Posted by 구차니
embeded/raspberry pi2020. 12. 7. 18:35

 

localhost:1880/ui

[링크 : https://flows.nodered.org/node/node-red-dashboard]

[링크 : https://randomnerdtutorials.com/getting-started-with-node-red-dashboard/]

 

 

사용법

[링크 : https://ko.howtodogood.com/76628-Node-Red-Control-RaspberryPi-38]

[링크 : https://blog.naver.com/edblab/221495131985]

[링크 : https://blog.naver.com/edblab/221446658416]

 

음악 재생

[링크 : https://discourse.nodered.org/t/playing-a-mp3-flie/18030/2]

'embeded > raspberry pi' 카테고리의 다른 글

mpicc on rpi  (0) 2020.12.15
node-red UI bashboard  (0) 2020.12.08
node-red rpi  (0) 2020.11.29
간만에 라즈베리 + 포맷?  (0) 2020.11.29
라즈베리 파이 3B 환상이 너무 컸나?  (0) 2020.10.25
Posted by 구차니
Linux/Ubuntu2020. 12. 7. 17:51

설정에서 한글 입력기를 추가로 설정을 해주어야 한다.

외산 노트북이라 한영키가 없다 보니 기본 설정으로는 안되고

오른쪽 alt 를 추가해주어도 한영 변환이나

오른쪽 ctrl로 한자 변환이 되지 않는다 -_ㅠ

ibus라 그런가.. 다른걸로 해봐야하나?

 

[링크 : https://velog.io/@yujo/Ubuntu-20.04한글-입력기-설치-설정하기]

'Linux > Ubuntu' 카테고리의 다른 글

ubuntu gnome-control-center over ssh  (0) 2021.04.14
우분투 패키지 버전 확인하기  (0) 2020.12.16
/dev/ipmi를 보고 싶다!!!  (0) 2020.11.07
우분투에서 부팅 USB 만들기(iso)  (0) 2020.10.06
jaaa - JACK and ALSA Audio Analyser  (0) 2020.10.05
Posted by 구차니
프로그램 사용/openHPC2020. 12. 7. 17:10

warewulf 유틸리티인데 스크립트였네?

# cat /usr/bin/wwmkchroot
#!/bin/bash
#
#
# Copyright (c) 2001-2003 Gregory M. Kurtzer
#
# Copyright (c) 2003-2011, The Regents of the University of California,
# through Lawrence Berkeley National Laboratory (subject to receipt of any
# required approvals from the U.S. Dept. of Energy).  All rights reserved.
#
# $Id: wwmkchroot 913 2012-04-19 00:33:31Z gmk $

prefix="/usr"
exec_prefix="/usr"
libexecdir="/usr/libexec"


usage() {
    echo "$0 [options] TEMPLATE_NAME PATH"
    echo
    echo "OPTIONS:"
    echo "    -d        Debug output"
    echo "    -g        Disable install GPG checks"
    echo "    -v        Verbose output"
    echo "    -h        Show usage"
    echo
    echo "TEMPLATE_NAME (select one of the following):"
    for i in $libexecdir/warewulf/wwmkchroot/*.tmpl; do
        NAME=`basename $i | sed -e 's/\.tmpl$//'`
        DESC=`grep '^#DESC: ' $i | sed -e 's/#DESC: //'`
        printf "   * %-20s %s\n" "$NAME" "$DESC"
    done
    echo
    echo "PATH:"
    echo "   This is the location where the VNFS will be created"
    echo
    echo "EXAMPLES:"
    echo
    echo " # wwmkchroot rhel-generic /var/chroots/rhel"
    echo " # wwmkchroot debian8-64 /var/chroots/deb8"
    echo
}

unset VERBOSE
unset DEBUG
unset NOGPGCHECK
DEVNULL="/dev/null"

### Argument processing
while getopts ":dhvg" opt; do
    case $opt in
        d)
            VERBOSE=1
            DEBUG=1
            DEVNULL="/dev/stdout"
            set -x
        ;;
        v)
            VERBOSE=1
        ;;
       \?)
            printf "ERROR: $OPTARG not recognized.\n\n" 1>&2
            usage
            exit 1
        ;;
        h)
            usage
            exit 0
        ;;
        g)
            NOGPGCHECK=1
        ;;
    esac
done

shift $((OPTIND-1))

export VNFSTEMPLATE=$1
shift
export CHROOTDIR=$1
shift

if [ -z "$VNFSTEMPLATE" ]; then
    printf "ERROR: Missing VNFS template name\n\n"
    usage
    exit 1
fi

#### Check for template directory
if ! [ -d "$libexecdir/warewulf/wwmkchroot" ]; then
    echo "ERROR: Template directory ($libexecdir/warewulf/wwmkchroot) does not exist!"
    exit 1
fi

pushd $libexecdir/warewulf/wwmkchroot >$DEVNULL

#### Load functions
test -n "$VERBOSE" && printf "\n==== Loading general template functions\n"
if [ -f "./functions" ]; then
    . "./functions"
else
    echo "ERROR: Can not find $libexecdir/warewulf/wwmkchroot/functions"
    exit 1
fi

#### Load OS templates
test -n "$VERBOSE" && printf "\n==== Loading template\n"
if [ -f "$VNFSTEMPLATE.tmpl" ]; then
    test -n "$VERBOSE" && echo "Using $libexecdir/warewulf/wwmkchroot/$VNFSTEMPLATE.tmpl"
    . "$VNFSTEMPLATE.tmpl"
else
    echo "ERROR: Can not find $libexecdir/warewulf/wwmkchroot/$VNFSTEMPLATE.tmpl"
    exit 1
fi

popd >$DEVNULL

if [ -z "$CHROOTDIR" ]; then
    echo "ERROR: You must define the directory to build the chroot"
    usage
    exit 1
fi

#### Running template functions
test -n "$VERBOSE" && printf "\n==== Starting chroot build\n"
for function in $FUNCTIONS; do
    test -n "$VERBOSE" && echo "== Running: $function"
    $function || exit 1
done

 

실행하다 보면 /usr/libexec/warewulf/wwmkchroot/*.tmpl을 건드리는데

# cat centos-8.tmpl
#DESC: Red Hat Enterprise Linux 8

# The general RHEL include has all of the necessary functions, but requires
# some basic variables specific to each chroot type to be defined.

# Use DNF as the package manager
PKG_MGR=dnf
EXTRA_ARGS="--releasever=8"
PLATFORMID="platform:el8"

# Uncomment to disable GPG checks on added repos
# REPO_NOGPGCHECK=1

. include-rhel

# Define the location of the YUM repository
if [ -z "$YUM_MIRROR" ]; then
    if [ -z "$YUM_MIRROR_BASE" ]; then
        YUM_MIRROR_BASE="http://mirror.centos.org/centos-8"
    fi
    YUM_MIRROR="${YUM_MIRROR_BASE}/8/BaseOS/\$basearch/os","${YUM_MIRROR_BASE}/8/AppStream/\$basearch/os","${YUM_MIRROR_BASE}/8/PowerTools/\$basearch/os"
fi

# Install only what is necessary/specific for this distribution
PKGLIST="basesystem bash chkconfig coreutils e2fsprogs ethtool
    filesystem findutils gawk grep initscripts iproute iputils
    net-tools nfs-utils pam psmisc rsync sed setup
    shadow-utils rsyslog tzdata util-linux words
    zlib tar less gzip which util-linux openssh-clients
    openssh-server dhclient pciutils vim-minimal shadow-utils
    strace cronie crontabs cpio wget redhat-release hostname grub2-common glibc-langpack-en"

 

그 경로를 하나씩 내려가다 보니 아래와 같이 BaseOS 다음에 platform architecutre 구분이 들어가게 된다.

mirror.centos.org/centos-8/8/BaseOS/

mirror.centos.org/centos-8/8/BaseOS/aarch64/

mirror.centos.org/centos-8/8/BaseOS/x86_64/

 

해당 부분에 대해서는

$basearch 변수를 사용하는데 그걸 바꾸어서 적용하면 임의로 크로스 플랫폼(?)으로 적용이 가능할 지도 모르겠다.

 

And also need to change $YUM_MIRROR to the local repository.

Corresponds to wwmkchroot written in "3.6 Define compute image for provisioning" of each Usage.

[root@aarch64 /]# export YUM_MIRROR=""/repos/centos-<version>.<release>/BaseOS", "/repos/centos-<version>.<release>/AppStream", "/repos/centos-<version>.<release>-aarch64/PowerTools""
[root@aarch64 /]# wwmkchroot -d centos-<version> $CHROOT

[링크 : https://github.com/NaohiroTamura/cross-sms-aarch64.sh/blob/master/README.md]

 

 

'프로그램 사용 > openHPC' 카테고리의 다른 글

centos kernel update  (0) 2020.12.08
centos kernel이 사라졌다 -ㅁ-  (0) 2020.12.08
openHPC x86_64와 aarch64 문서 차이  (0) 2020.12.07
nagios  (0) 2020.12.07
openHPC LBNL NHC  (0) 2020.12.07
Posted by 구차니
프로그램 사용/openHPC2020. 12. 7. 14:48

나머지는 uname -r로

# uname -r
4.18.0-193.el8.x86_64

커널 버전과 아키텍쳐를 받아와서 티가 안나는데

초기 설치하는 패키지가 다르다.

 

[sms]# yum install http://repos.openhpc.community/OpenHPC/2/CentOS_8/x86_64/ohpc-release-2-1.el8.x86_64.rpm

[sms]# yum install http://repos.openhpc.community/OpenHPC/2/CentOS_8/aarch64/ohpc-release-2-1.el8.aarch64.rpm

 

혹시나 해서 x86 linux에 aarch64 패키지를 설치해 보았지만 역시나 에러가 발생한다.

dose not have a compatible architecture

문서 자체가 arm64 코어 기반 하드웨어가 node master여야 하는 듯..

# yum install http://repos.openhpc.community/OpenHPC/2/CentOS_8/aarch64/ohpc-release-2-1.el8.aarch64.rpm
CentOS-8 - AppStream                            2.7 kB/s | 4.3 kB     00:01
CentOS-8 - Base                                 3.7 kB/s | 3.9 kB     00:01
CentOS-8 - Extras                               1.2 kB/s | 1.5 kB     00:01
OpenHPC-2 - Base                                2.0 kB/s | 1.5 kB     00:00
OpenHPC-2 - Updates                             3.4 kB/s | 2.9 kB     00:00
Extra Packages for Enterprise Linux Modular 8 - 3.4 kB/s | 8.5 kB     00:02
Extra Packages for Enterprise Linux 8 - x86_64  2.6 kB/s | 4.8 kB     00:01
Extra Packages for Enterprise Linux 8 - x86_64  1.3 MB/s | 8.5 MB     00:06
ohpc-release-2-1.el8.aarch64.rpm                 13 kB/s |  10 kB     00:00
Error:
 Problem: conflicting requests
  - package ohpc-release-2-1.el8.aarch64 does not have a compatible architecture
(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)

 

 

+

cross 나오는것 봐서는 x86-64에서 aarch64의 VNFS를 만들도록 하는 내용 같긴한데..

[링크 : https://github.com/NaohiroTamura/cross-sms-aarch64.sh/blob/master/README.md]

'프로그램 사용 > openHPC' 카테고리의 다른 글

centos kernel이 사라졌다 -ㅁ-  (0) 2020.12.08
wwmkchroot  (0) 2020.12.07
nagios  (0) 2020.12.07
openHPC LBNL NHC  (0) 2020.12.07
openHPC 설치 part2?  (0) 2020.12.04
Posted by 구차니
프로그램 사용/openHPC2020. 12. 7. 12:22

라이선스는 GPL

네트워크 모니터링에서 시작한것 같긴한데

결국에는 모든 장치에 대한 모니터링 까지 제공하는 듯?

currently it provides:

Monitoring of network services (SMTP, POP3, HTTP, NNTP, ICMP, SNMP, FTP, SSH)
Monitoring of host resources (processor load, disk usage, system logs) on a majority of network operating systems, including Microsoft Windows, using monitoring agents.
Monitoring of any hardware (like probes for temperature, alarms, etc.) which have the ability to send collected data via a network to specifically written plugins
Monitoring via remotely run scripts via Nagios Remote Plugin Executor
Remote monitoring supported through SSH or SSL encrypted tunnels.
A simple plugin design that allows users to easily develop their own service checks depending on needs, by using their tools of choice (shell scripts, C++, Perl, Ruby, Python, PHP, C#, etc.)
Available data graphing plugins
Parallelized service checks
Flat-text formatted configuration files (integrates with many config editors)
The ability to define network host using 'parent' hosts, allowing the detection of and distinction between hosts that are down or unreachable
Contact notifications when service or host problems occur and get resolved (via e-mail, pager, SMS, or any user-defined method through plugin system)
The ability to define event handlers to be run during service or host events for proactive problem resolution
Automatic log file rotation
Support for implementing redundant monitoring hosts
Support for implementing performance data graphing
Support for database backend (such as NDOUtils)
Push notifications[6]
A web-interface for viewing current network status, notifications, problem history, log files, etc.

[링크 : https://www.nagios.org/]

[링크 : https://en.wikipedia.org/wiki/Nagios]

 

[링크 : https://logz.io/blog/prometheus-vs-nagios-metrics/]

 

nagios enterprise 사 버전이라고 해야하려나?

nagios XI 등은 구매가 가능한데 비용은 안나오고 양식을 채워넣으라고만 하니 알수가 없다. 

github 버전도 라이선스 있어야 하는지 좀 더 조사가 필요하다

[링크 : https://www.metricfire.com/blog/prometheus-vs-nagios/]

[링크 : https://github.com/NagiosEnterprises]

 

nagios core는 무료

GUI를 얹은게 nagios XI(유료)

 

NRDP - Nagios Remote Data Processor

NCPA - Nagios Cross Platform Agent

[링크 : http://blog.naver.com/ki630808/221837041442]

'프로그램 사용 > openHPC' 카테고리의 다른 글

wwmkchroot  (0) 2020.12.07
openHPC x86_64와 aarch64 문서 차이  (0) 2020.12.07
openHPC LBNL NHC  (0) 2020.12.07
openHPC 설치 part2?  (0) 2020.12.04
warewulf 유틸리티  (0) 2020.12.02
Posted by 구차니
프로그램 사용/openHPC2020. 12. 7. 12:13

LBNL - Lawrence Berkeley National Laboratory

NHC - Node Health Check

[링크 : https://github.com/mej/nhc

'프로그램 사용 > openHPC' 카테고리의 다른 글

openHPC x86_64와 aarch64 문서 차이  (0) 2020.12.07
nagios  (0) 2020.12.07
openHPC 설치 part2?  (0) 2020.12.04
warewulf 유틸리티  (0) 2020.12.02
wwsh (warewulf shell)  (0) 2020.12.02
Posted by 구차니